Create a mock Wire payment
curl --request POST \
--url https://api-sandbox.circle.com/v1/mocks/payments/wire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"beneficiaryBank": {
"accountNumber": "11111111"
},
"memo": "<string>"
}
'import requests
url = "https://api-sandbox.circle.com/v1/mocks/payments/wire"
payload = {
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"beneficiaryBank": { "accountNumber": "11111111" },
"memo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trackingRef: 'CIR13FB13A',
amount: {amount: '3.14', currency: 'USD'},
beneficiaryBank: {accountNumber: '11111111'},
memo: '<string>'
})
};
fetch('https://api-sandbox.circle.com/v1/mocks/payments/wire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"beneficiaryBank": {
"accountNumber": "11111111"
},
"status": "pending"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}In the sandbox environment, initiate a mock wire payment that mimics the behavior of funds sent through the bank (wire) account linked to master wallet.
POST
/
v1
/
mocks
/
payments
/
wire
Create a mock Wire payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Wire tracking reference that needs to be set in the wire reference to beneficiary field. This field is retrievable through the response during wire creation or via the bank instruction endpoint.
Example:
"CIR13FB13A"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional free-form text memo for client reference information.
Response
Successfully created a mock wire payment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I